aboutsummaryrefslogtreecommitdiffstats
path: root/bootstrap/vagrant-onap/tests/_test_base
diff options
context:
space:
mode:
Diffstat (limited to 'bootstrap/vagrant-onap/tests/_test_base')
-rw-r--r--bootstrap/vagrant-onap/tests/_test_base3
1 files changed, 3 insertions, 0 deletions
diff --git a/bootstrap/vagrant-onap/tests/_test_base b/bootstrap/vagrant-onap/tests/_test_base
index 155de98bb..7d0415a44 100644
--- a/bootstrap/vagrant-onap/tests/_test_base
+++ b/bootstrap/vagrant-onap/tests/_test_base
@@ -15,6 +15,9 @@ function main {
echo "ok $((i+1)) - test_${covered_functions[$i]}"
# Teardown process
+ if ! is_package_installed docker-ce; then
+ docker images -q | xargs docker rmi -f
+ fi
dpkg --get-selections > installed-software_new
sort -o installed-software_new installed-software_new
apt-get purge -y -qq $(comm -3 installed-software installed-software_new | awk '{print $1}')